Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultTemporaryDurationDetailsType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultTemporaryDurationDetailsType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultTemporaryDurationDetailsType extends Object implements Serializable

Java class for ConsultTemporaryDurationDetailsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultTemporaryDurationDetailsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Duration" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
             <element name="UserProvided" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultTemporaryDurationDetailsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuantityType`
  `getDuration()`
  If the treatment duration is of a fixed length
  `ConsultTextType`
  `getNote()`
  Free text.
  `Object`
  `getUserProvided()`
  If the treatment duration should be defined by the prescriber
  `void`
  `setDuration(QuantityType value)`
  Sets the value of the duration property.
  `void`
  `setNote(ConsultTextType value)`
  Sets the value of the note property.
  `void`
  `setUserProvided(Object value)`
  Sets the value of the userProvided property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultTemporaryDurationDetailsType

    public ConsultTemporaryDurationDetailsType()

- ## Method Details

  - ### getNote

    public ConsultTextType getNote()
    Free text. If the treatment duration cannot be given as a QuantityType.
    Returns:
      possible object is `ConsultTextType`

  - ### setNote

    public void setNote(ConsultTextType value)
    Sets the value of the note property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getNote()`

  - ### getUserProvided

    public Object getUserProvided()
    If the treatment duration should be defined by the prescriber
    Returns:
      possible object is `Object`

  - ### setUserProvided

    public void setUserProvided(Object value)
    Sets the value of the userProvided property.
    Parameters:
      `value` - allowed object is `Object`
    See Also:
      - `getUserProvided()`

  - ### getDuration

    public QuantityType getDuration()
    If the treatment duration is of a fixed length
    Returns:
      possible object is `QuantityType`

  - ### setDuration

    public void setDuration(QuantityType value)
    Sets the value of the duration property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getDuration()`